Package org.eclipse.emf.spi.cdo

# Class DefaultCDOMerger.PerFeature.ManyValuedOld

java.lang.Object
org.eclipse.emf.spi.cdo.DefaultCDOMerger
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValuedOld

All Implemented Interfaces:
  `CDOMerger`

Enclosing class:
  `DefaultCDOMerger.PerFeature`

public static class DefaultCDOMerger.PerFeature.ManyValuedOld extends DefaultCDOMerger.PerFeature
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.6
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`DefaultCDOMerger.PerFeature.ManyValuedOld.Element`
A virtual list element to establish unique relations between ancestor, source and target sides.
`static class`
`DefaultCDOMerger.PerFeature.ManyValuedOld.PerSide<T>`
Holds data for the source and target sides.
`static enum`
`DefaultCDOMerger.PerFeature.ManyValuedOld.Side`
Enumerates the possible sides of a merge, i.e., `DefaultCDOMerger.PerFeature.ManyValuedOld.Side.SOURCE` and `DefaultCDOMerger.PerFeature.ManyValuedOld.Side.TARGET`.

## Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature

`DefaultCDOMerger.PerFeature.ManyValued, DefaultCDOMerger.PerFeature.ManyValuedOld`

## Nested classes/interfaces inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger

`DefaultCDOMerger.ChangedInSourceAndDetachedInTargetConflict, DefaultCDOMerger.ChangedInSourceAndTargetConflict, DefaultCDOMerger.ChangedInTargetAndDetachedInSourceConflict, DefaultCDOMerger.Conflict, DefaultCDOMerger.PerFeature, DefaultCDOMerger.ResolutionPreference`

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.transaction.CDOMerger

`CDOMerger.ConflictException`

## Constructor Summary

Constructors
Constructor
Description
`ManyValuedOld()`
`ManyValuedOld(DefaultCDOMerger.ResolutionPreference resolutionPreference)`

## Method Summary

Modifier and Type
Method
Description
`protected CDOFeatureDelta`
`changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)`
`protected static DefaultCDOMerger.PerFeature.ManyValuedOld.Side`
`other(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)`
`protected boolean`
`treatAsUnique(EStructuralFeature feature)`

### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature

`changedInSource, changedInSourceAndTarget, changedInSourceAndTarget, changedInSourceAndTargetSingleValued, changedInTarget`

### Methods inherited from class org.eclipse.emf.spi.cdo.DefaultCDOMerger

`addedInSource, addedInSourceAndTarget, addedInTarget, changedInSource, changedInSourceAndDetachedInTarget, changedInTarget, changedInTargetAndDetachedInSource, detachedInSource, detachedInSourceAndTarget, detachedInTarget, getConflicts, getListOrdering, getResolutionPreference, getResult, getSourceMap, getTargetMap, merge, merge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ManyValuedOld

public ManyValuedOld()

### ManyValuedOld

public ManyValuedOld(DefaultCDOMerger.ResolutionPreference resolutionPreference)

Since:
  4.2

## Method Details

### treatAsUnique

protected boolean treatAsUnique(EStructuralFeature feature)

Since:
  4.2

### changedInSourceAndTargetManyValued

protected CDOFeatureDelta changedInSourceAndTargetManyValued(EStructuralFeature feature, CDOFeatureDelta targetFeatureDelta, CDOFeatureDelta sourceFeatureDelta)

Overrides:
  `changedInSourceAndTargetManyValued` in class `DefaultCDOMerger.PerFeature`
Returns:
  the result feature delta, or `null` to indicate an unresolved conflict.

### other

protected static DefaultCDOMerger.PerFeature.ManyValuedOld.Side other(DefaultCDOMerger.PerFeature.ManyValuedOld.Side side)

Since:
  4.2